nodehive_visualeditor.node_controller.edit:
  path: '/nodehive/node/{node_id}'
  defaults:
    _controller: '\Drupal\nodehive_visualeditor\Controller\NodeController::nodeEdit'
    _title: 'Edit Node'
  requirements:
    _permission: 'access visualeditor'

nodehive_visualeditor.paragraph_controller.edit:
  path: '/nodehive/node/{node_id}/paragraph/{paragraph_id}'
  defaults:
    _controller: '\Drupal\nodehive_visualeditor\Controller\ParagraphController::paragraphEdit'
    _title: 'Edit Paragraph'
  requirements:
    _permission: 'access visualeditor'

nodehive_visualeditor.area_fragment_controller.fragment_edit:
  path: '/nodehive/fragment/{fragment_id}'
  defaults:
    _controller: '\Drupal\nodehive_visualeditor\Controller\AreaFragmentController::fragmentEdit'
    _title: 'Edit Fragment'
  requirements:
    _permission: 'access visualeditor'

nodehive_visualeditor.menu_controller.menu_edit:
  path: '/nodehive/menu/{menu_id}'
  defaults:
    _controller: '\Drupal\nodehive_visualeditor\Controller\MenuController::menuEdit'
    _title: 'Edit Menu'
  requirements:
    _permission: 'access visualeditor'

nodehive_visualeditor.area_fragment_controller.area_edit:
  path: '/nodehive/area/{area_id}'
  defaults:
    _controller: '\Drupal\nodehive_visualeditor\Controller\AreaFragmentController::areaEdit'
    _title: 'Edit Area'
  requirements:
    _permission: 'access visualeditor'

nodehive_visualeditor.visual_editor:
  path: '/visualeditor'
  defaults:
    _controller: '\Drupal\nodehive_visualeditor\Controller\VisualEditorController::visualEditorPage'
    _title: 'NodeHive Visual Editor'
  requirements:
    _permission: 'access visualeditor'

nodehive_visualeditor.visual_editor_single:
  path: '/space/{nodehive_space}/visualeditor'
  defaults:
    _controller: '\Drupal\nodehive_visualeditor\Controller\VisualEditorController::visualEditorSingleSpacePage'
    _title_callback: '\Drupal\nodehive_visualeditor\Controller\VisualEditorController::getTitle'
  requirements:
    _permission: 'access visualeditor'

nodehive_visualeditor.settings:
  path: '/admin/config/development/nodehive_visualeditor'
  defaults:
    _form: '\Drupal\nodehive_visualeditor\Form\SettingsForm'
    _title: 'NodeHive Visual Editor'
  requirements:
    _permission: 'access visualeditor'
